/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KDCSUBTITLECREATEXMLFILEJOB_H
#define KDCSUBTITLECREATEXMLFILEJOB_H

#include "../kdcmovie.h"
#include "../kdcmoviegroup.h"
#include "../kdcnamespace.h"
#include "../kdcsubtitlestream.h"
#include "kdcjob.h"

#include <QString>
#include <QDomDocument>

class KDCSubtitleCreateXMLFileJob: public KDCJob
{
Q_OBJECT
public:
	KDCSubtitleCreateXMLFileJob( int id, const KDCMovie *movie, QObject *parent );
	KDCSubtitleCreateXMLFileJob( int id, const KDCMovieGroup *movie, QObject *parent );
	~KDCSubtitleCreateXMLFileJob();
	void start();
private:
	int p_id;
	QDomDocument *p_doc;
	QString p_file;

	void KDCSubtitleCreateXMLFileJobPrivate( int id, const KDCMovie *movie );
};
#endif
